#include<bits/stdc++.h>
using namespace std;

int broj_ponavljanja_jela_za_epizodu[100005];
int jelo_za_recept[100005];
int jelo_za_epizodu,recept_za_scenario;
int n;
unsigned long long izlaz=0;

int main(){
    scanf("%d\n",&n);
    for(int i=1;i<=n;i++){
        scanf("%d",&jelo_za_epizodu);
        broj_ponavljanja_jela_za_epizodu[jelo_za_epizodu]++;
    }
    for(int i=1;i<=n;i++)
        scanf("%d",jelo_za_recept+i);
    for(int i=1;i<=n;i++){
        scanf("%d",&recept_za_scenario);
        izlaz+=broj_ponavljanja_jela_za_epizodu[jelo_za_recept[recept_za_scenario]];
    }
    printf("%llu\n",izlaz);
    return 0;
}